View Issue Details

IDProjectCategoryView StatusLast Update
0018964MediaMonkey 5Help / Docs / Localizationpublic2022-09-29 20:10
Reporterrusty Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0.3 
Target Version5.0.3Fixed in Version5.0.3 
Summary0018964: Localization 5.0.3 (add Spanish + misc. issues)
DescriptionFor 5.0.3 we'll be adding a 'new' Spanish localization (this is a regular Spanish localization that is in addition to the Spanish Latin America translation).

In addition there are numerous updates to the German translation (provided via a combination of .po file and weblate updates).
TagsNo tags attached.
Fixed in build2616

Relationships

related to 0019410 closedpetr Spanish is missing from the installer 

Activities

rusty

2022-04-05 21:26

administrator   ~0067445

Last edited: 2022-04-05 21:30

Build 2612 includes the updates, however:
1) The Spanish translation doesn't work (i.e. any attempt to enable it via Tools > Options > General has no effect)
2) The Spanish translation is labelled as a beta. It shouldn't be as it's complete (along with Catalan, Czech, Dutch, French, German, Greek, Korean, Polish, Portuguese (BR), Slovenian, Spanish, Spanish (Latin America), Ukrainian).

Note: we're waiting for confirmation from the author of the German translation that it's correct.

Also ToDo (Rusty): update credits re. the new contributions

petr

2022-04-06 06:17

developer   ~0067457

Fixed

rusty

2022-04-06 22:07

administrator   ~0067471

Re-opening: Spanish installs correctly in build 2613, however, it's still labelled incorrectly as a beta.

Note: I've updated the credits for the German/Spanish updates.

Test note: to verify test a random selection of e.g. 5 languages via installation, and 5 languages via Options (in addition to German and Spanish).

petr

2022-04-07 09:02

developer   ~0067478

Last edited: 2022-04-07 14:44

Langstatus file isn't loaded always when Options dialog opened, but once a 24 hours, so probably you have cached old version with beta state.

rusty

2022-04-12 16:03

administrator   ~0067522

Last edited: 2022-04-12 16:09

As reported at: https://www.mediamonkey.com/forum/viewtopic.php?t=101738

1) For Sync Profile > Target location, when hovering over a file mask, the following text appears, but is not localized:
"Choose the Directory/Filename format to be used for files on the device"

2) When adding a nest criterion for a Collection or AutoPlaylist:
The user must configure "match any/all ..." "of the following criteria"

But the second phrase ('of the following criteria) isn't localized. (note that it is localized for the initial criterian--the problem only occurs when adding a nest criterion).

michal

2022-04-19 13:28

developer   ~0067575

Fixed in build 2616. Also other found missing strings updated on Weblate, so can be translated.

rusty

2022-04-19 17:12

administrator   ~0067578

As reported at 0018134 :
 "Any addons update available"
-->
Addons: Update available

(note: no new strings are required as the strings 'Addons' and 'Update available' already exist)

michal

2022-04-19 17:25

developer   ~0067579

Fixed in build 2616.

rusty

2022-04-27 20:35

administrator   ~0067835

Verified 2617.